List all QR codes
Returns a paginated list of all QR codes created for your account.
GET
/
payments
/
qr_codes
List all QR codes
curl --request GET \
--url https://api.razorpay.com/v1/payments/qr_codes \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.razorpay.com/v1/payments/qr_codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.razorpay.com/v1/payments/qr_codes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.razorpay.com/v1/payments/qr_codes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.razorpay.com/v1/payments/qr_codes")
.header("Authorization", "Basic <encoded-value>")
.asString();{
"entity": "collection",
"count": 1,
"items": [
{
"id": "qr_EtjRHL7viz7RCz",
"entity": "qr_code",
"created_at": 1623914648,
"name": "Store Front Display",
"usage": "single_use",
"type": "upi_qr",
"image_url": "https://rzp.io/i/w2CEwYmkAu",
"payment_amount": 100,
"status": "active",
"description": "For Store 1",
"fixed_amount": true,
"payments_amount_received": 0,
"payments_count_received": 0,
"notes": {},
"customer_id": "cust_EtjRHOF6vrzpfy",
"close_by": 1681615838,
"closed_at": null,
"close_reason": null
}
]
}{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The amount must be greater than 0.",
"field": "amount"
}
}Authorizations
Use your Razorpay Key ID as the username and Key Secret as the password.
Query Parameters
Number of QR codes to return. Default is 10, maximum is 100.
Required range:
x <= 100Number of QR codes to skip before returning results. Used for pagination.
Was this page helpful?
⌘I
List all QR codes
